## 引言 / 关于本协议
1. 本协议是您 (以下简称 "用户") 与 Lovemilk Telemetry (以下简称 "我们") 之间的协议. 本协议规定了您使用 Lovemilk Telemetry 提供的服务应当遵守的条款和条件. <br>
Lovemilk Telemetry 插件提供了遥测服务 (以下简称 "遥测"), 该服务竭旨为用户提供更好的使用体验和产品质量, 提升开发者调试质量和效率, 为用户带来福祉.

2. 若本协议多语言版本与 中文 (简体) 版本存在歧义的, 一律以 中文 (简体) 版本为准. 并且, 本协议最终归属权有 Lovemilk Telemetry 插件 作者所有, 本协议最终解释权由 [Lovemilk](https://github.com/zhuhansan666), [Lovemilk Inc.](https://github.com/lovemilk-Inc) 以及上述个人或组织认可的个人或组织所有.

3. 本协议修改或更新时将不会另行通知, 请以最新版本协议为准, 对于本协议更新须知, 请参阅 [本隐私政策的查阅和更新](#本隐私政策的查阅和更新). <br>

4. 当前协议版本: V1.20240727post1

## 撤销授权
1. 为了保证用户隐私不受非法侵害, 用户可随时撤销隐私同意并关闭遥测 (以下简称 "撤销授权"), 但因技术原因, 用户位于我们服务端 (以下简称 "服务端") 数据将不会被清除, 服务端也无法得知用户是否撤销授权. 撤销授权后, 我们将不会发送任何信息至服务端.

## 我们如何收集用户信息?
0. 我们竭力保证用户信息安全, 尊重用户隐私数据, 在同意遥测前, 遥测不会启动. 并且, 我们会在尊重地方法律法规前提下, 安全合法收集必要的信息.

1. 为了保证用户数据唯一性, 我们会收集您的 设备 ID, 客户端 IP 地址, 接入遥测的插件名称及其配置, 插件运行的指令及其数量和所处平台 (平台信息用于调试可能的对于特定平台的异常). 并且, 接入遥测的插件可能会对错误异常信息, 您使用的命令指令等进行收集, 这与本服务无关, 本服务无权控制插件上传的内容.

2. 我们保证 **不会** 对您的机器人账户等隐私数据进行收集, 尊重用户隐私数据是我们的服务宗旨.

## 我们如何使用用户信息?
1. 我们会对收集的信息持久化, 并在必要时提供给开发者以便开发者维护其(或其团队)的插件.

2. 若用户违反了地方法律法规, 且地方执法执政机关要求我们提供用户信息, 我们将会在确认对方权威性后, 合法提供必要信息, 详细处理办法, 请参阅 [我们如何委托处理, 共享, 转让, 公开披露您的个人信息](#我们如何委托处理-共享-转让-公开披露您的个人信息).

## 我们如何委托处理, 共享, 转让, 公开披露您的个人信息?
1. 依法豁免征得您的授权同意的情形 <br>
请您理解, 在下列情形中, 根据法律法规及国家标准,  合作方使用, 或我们转移, 公开 您的个人信息无需征得您的授权同意:
    1. 根据您的要求订立或履行合同所必需;
    2. 为履行法定职责或者法定义务所必需, 例如与国家安全, 国防安全, 与刑事侦查, 起诉, 审判和判决执行等直接相关的法定职责或者法定义务;
    3. 为应对突发公共卫生事件, 或者紧急情况下为保护自然人的生命健康和财产安全所必需;
    4. 为公共利益实施新闻报道, 舆论监督等行为, 在合理的范围内处理个人信息;
    5. 在合理的范围内处理您自行公开的个人信息, 或者其他已经合法公开的个人信息 (如合法的新闻报道, 政府信息公开等渠道合法公开的个人信息);
    6. 法律法规规定的其他情形.

## 本隐私政策的查阅和更新
1. 查阅本隐私政策
您可以通过 "插件配置 > lovemilk-telemetry > Lovemilk Telemetry 终端用户协议 & 隐私政策" 查看本隐私政策.

2. 更新隐私政策
我们会根据产品, 服务和技术的变更, 定期审核本隐私政策, 并可能更新本隐私政策. 如果我们对本隐私政策进行变更, 我们将通过推送通知, 弹窗等形式或其他适当方式提醒您相关内容的更新. 这类隐私政策的变化将从通知或网站规定的生效日期开始适用. <br>
请您注意, 只有在获取您的同意后, 我们才会按照更新后的隐私政策处理您的个人信息. 未经您的明确同意, 我们不会削减您按照本隐私政策所应享有的权利. <br>
若您不同意修改后的隐私政策, 您有权并应立即停止使用我们的网站, 产品, 服务, 应用程序.
